"""
'Item's are created in this file.
"""
from nei.armour import Armour
from nei.bag import Bag
from nei.item import Item
from nei.weapon import Weapon

# The empty item.  Signalises that nothing is equipped.
empty = Item("empty", "empty", 0)

# Weapons.
# Weapon(name, slot, weight, range, frequency, damage, crit_range, crit_mod)
longsword = Weapon("Longsword", "right_hand", 2, 1, 1, 8, 2, 2)
longbow = Weapon("Longbow", "hands", 12, 20, 0.2, 10, 0, 3)

# Armours.
# Armour(name, slot, weight, defence, armour_class)
plate = Armour("Plate Armour", "body", 50, 20, 3)
breast = Armour("Breastplate", "body", 10, 6, 2)
studded = Armour("Studded Leather Armour", "body", 5.0, 4, 1)
cloth = Armour("Padded Cloth", "body", 1, 1, 0)

# Bags
# Bag(name, slot, capacity)
small_pack = Bag("Small Pack", "small_container", 10.0)
big_rucksack = Bag("Rucksack", "big_container", 90.0)
