"""
The 'Item' class holds the 'name', 'slot' and 'weight' of an item.  There should
not be created any objects of the type 'Item' (except for the 'empty' item - see
"items.py").  Subclasses should be created instead.
"""
class Item():

    def __init__(self, name, slot, weight):
        # Name of the item.  Largely unimportant.
        self.name = name
        # Which slot in the Character.slot dictionary the item occupies.
        self.slot = slot
        # The weight of the item represented with integers.
        self.weight = weight
